### Method

# Gtk.RecentInfo.get_applications

#### Declaration [src]

    char**
    gtk_recent_info_get_applications (
      GtkRecentInfo* info,
      gsize* length
    )

#### Description [src]

Retrieves the list of applications that have registered this resource.

#### Parameters

`length` | `gsize*`
| return location for the length of the returned list
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: An array of `utf8`
a newly allocated `NULL`-terminated array of strings. Use `g_strfreev()` to free it.
| The array must be `NULL` terminated
| The length of the array is in the `length` argument
Ownership of the data is transferred to the caller